It is possible to import standard wikitext pages into the main (item) namespace
Closed, ResolvedPublic

Description

I was wondering if it was possible, and it seems like it is.

See: https://www.wikidata.org/w/index.php?title=Special%3ALog&type=&user=&page=C-Pass&year=&month=-1&tagfilter=&hide_patrol_log=1

Special:Import should check the contentmodel of what it is importing and then check that the namespace uses the same contentmodel.


Version: unspecified
Severity: major
Whiteboard: backlog

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz47070.
Legoktm created this task.Via LegacyApr 10 2013, 8:43 AM
Legoktm added a comment.Via ConduitApr 10 2013, 8:47 AM

When deleting the page, it went through, but I got a "Wikimedia Foundation error" message of:

PHP fatal error in /usr/local/apache/common-local/php-1.22wmf1/extensions/Wikibase/repo/Wikibase.hooks.php line 687:
Call to undefined method WikitextContent::getEntity()

Legoktm added a comment.Via ConduitJul 16 2013, 12:37 AM
  • Bug 51413 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitDec 10 2013, 1:39 PM

Change 100563 had a related patch set uploaded by Daniel Kinzler:
(bug 47070) check content model namespace on import.

https://gerrit.wikimedia.org/r/100563

gerritbot added a comment.Via ConduitDec 10 2013, 1:44 PM

Change 100565 had a related patch set uploaded by Daniel Kinzler:
(bug 47070) No import of wikitext to entity NS

https://gerrit.wikimedia.org/r/100565

gerritbot added a comment.Via ConduitJan 28 2014, 8:56 PM

Change 100563 merged by jenkins-bot:
(bug 47070) check content model namespace on import.

https://gerrit.wikimedia.org/r/100563

gerritbot added a comment.Via ConduitJan 28 2014, 8:59 PM

Change 100565 merged by jenkins-bot:
(bug 47070) No import of wikitext to entity NS

https://gerrit.wikimedia.org/r/100565

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.